libzypp 17.37.10

lift.h File Reference
`#include <utility>`
`#include <memory>`
`#include <iostream>`
`#include <zypp-core/zyppng/meta/Functional>`
`#include <zypp-core/zyppng/pipelines/AsyncResult>`

Go to the source code of this file.

## Classes
struct | zyppng::detail::lifter< LiftedFun, extra >
struct | zyppng::detail::lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > >

## Namespaces
namespace | zyppng
namespace | zyppng::detail

## Functions
template<typename Fun>
auto | zyppng::lift (Fun &&func)